ironic (1:29.0.5-0+deb13u3) trixie-security; urgency=medium

  * Add follow-up patch for CVE-2026-46447 (erata1): "Fix kernel parameter
    parsing for quoted values and whitespace".
  * CVE-2026-54421: Sensitive properties returned unredacted in POST and PATCH
    HTTP responses. Added upstream patch: "Fix sensitive properties returned on
    volume targets" (Closes: #1140012).
  * CVE-2026-43003 / OSSN-2026-0100: Command injection via chroot execution of
    tenant-controlled binaries. Added upstream patch: "Add an agent flag to
    disable installing boatloaders" (Closes: #1140187).
  * CVE-2026-44918: multiple related vulnerabilities in Ironic RBAC. An
    authenticated project manager can change the node associated with Volume
    Connectors or Volume Target objects, potentially changing the project
    permitted to access the object. Volume Connectors contain secrets in
    environments configuring boot from volume with iSCSI volumes. Applied
    upstream patch: "Prevent rehoming resources to nodes with different owner".
    (Closes: #1141716).
  * CVE-2026-54423: A malicious user with access to deploy a node directly via
    Ironic can specify the IPMI `send_raw` deployment step with a malicious
    payload and send commands to that nodes' BMC. Applied upstream patches:
    - Add operator-configurable step disallow lists
    - block vendor.send_raw
    (Closes: #1141717).
  * OSSN-0106: API ramdisk endpoints require network-level access controls.
    Added upstream patch: "Add [api] enable_ramdisk_endpoints config option"
    (Closes: #1144214).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2026 12:46:11 +0200

ironic (1:29.0.5-0+deb13u2) trixie-security; urgency=medium

  * CVE-2026-44917: Ironic does not validate the location of
    node.driver_info[pxe_template], allowing a user who can set it to expose
    arbitrary files on an internal Ironic network, such as the servicing,
    provisioning, or cleaning networks. Applied upstream patch:
    - CVE-2026-44917_disable-driver_info-level-pxe_template-override.patch
  * CVE-2026-46447: A user with access to add or modify node.driver_info or
    node.instance_info can create a crafted value to enable iPXE script
    execution during the boot process. Applied upstream patch:
    - CVE-2026-46447_Sanitize-kernel_append_parms.patch
  * CVE-2026-48681: A maliciously crafted ISO image can cause Ironic to perform
    path traversal and overwrite files on a conductor's disk.  Applied upstream
    patch:
    - CVE-2026-48681-directory_transversal_ISO9660_support.patch
    (Closes: #1138842)

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Jun 2026 09:59:53 +0200

ironic (1:29.0.5-0+deb13u1) trixie; urgency=medium

  * New upstream release. Include fix for:
    - CVE-2026-42997 / OSSA-2026-010: Credential Forwarding to Arbitrary
      Endpoints via Ironic’s idrac Configuration molds Feature
      (Closes: #1135898).
    - CVE-2026-42510 / OSSA-2026-008: Command Injection in Ironic IPMI Console
      Implementations. Applied upstream patch: "Shell-quote console command
      passed to socat" (Closes: #1135255).
  * CVE-2026-44916: instance_info['ks_template'] is rendered without
    sandboxing. An attacker with sufficient access, an ironic deployment with
    the anaconda deploy interface, a node with the anaconda deployment
    interface set by an admin, and a malicious template could result in
    conductor internal data being rendered and if the infrastucture operator is
    allowing traffic egress for the provisioning network, could have sensitive
    internal data exfiled out of the environment. Applied upstream patch:
    - CVE-2026-44916_Use_sandbox_rendering_for_jinja2.patch
    (Closes: #1136005).
  * CVE-2026-44919: during image handling, an infinite loop in checksum
    calculations can occur via the file:///dev/zero URL. Add upstream patch:
    move_file_url_validation_up_into_deploy_utils_main_path.patch.
    (Closes: #1136655).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2026 10:05:36 +0200

ironic (1:29.0.0-7) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:58:33 +0200

ironic (1:29.0.0-6) unstable; urgency=high

  * CVE-2025-44021: Ironic fails to restrict paths used for file:// image URLs.
    Add upstream patch: OSSA-2025-001_Disallow+unsafe_image_file_paths.patch.
    (Closes: #1104964).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2025 09:03:43 +0200

ironic (1:29.0.0-5) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 May 2025 06:52:53 +0200

ironic (1:29.0.0-4) unstable; urgency=medium

  * d/watch: Mangle 2014 and 2015 versions.
  * Add NoVNC proxy package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 May 2025 11:52:49 +0200

ironic (1:29.0.0-3) unstable; urgency=medium

  * Blacklist RedfishFirmwareTestCase.test_check_update_still_waiting as it
    timeouts on riscv64.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 11:20:13 +0200

ironic (1:29.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:17:13 +0100

ironic (1:29.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop patch applied upstream:
     - stop-using-crypt.crypt-use-oslo_config-instead.patch
  * Also package usr/share/ironic/vnc-container.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:11:07 +0100

ironic (1:26.1.1-4) unstable; urgency=medium

  * Blacklist test (Closes: #1091115):
    - api.test_hooks.TestContextHook.test_context_hook_after_add_request_id

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 09:59:41 +0100

ironic (1:26.1.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090425).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:33:51 +0100

ironic (1:26.1.1-2) unstable; urgency=medium

  * Add stop-using-crypt.crypt-use-oslo_config-instead.patch
    (Closes: #1088323).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2024 09:43:21 +0100

ironic (1:26.1.1-1) unstable; urgency=medium

  * New upstream point release.
  * d/watch: use mode=git.
  * Blacklist TestFormatInspectors.test_iso_udf (Closes: #1086276).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:20:03 +0100

ironic (1:26.1.0-3) unstable; urgency=medium

  * Blacklist TestFormatInspectors.test_iso_9660 (Closes: #1084278).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 09:31:22 +0200

ironic (1:26.1.0-2) unstable; urgency=medium

  * autopkgtest: blacklist 2 unit tests failing on riscv64:
    - common.test_images.IronicImagesTestCase.test_image_to_raw
    - common.test_format_inspector.TestFormatInspectors.test_iso_9660

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 10:25:25 +0200

ironic (1:26.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Requires oslo.policy >= 4.4.0.
  * Add qemu-utils as build-depends, needed for new tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 09:16:06 +0200

ironic (1:26.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:00:12 +0200

ironic (1:26.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-initial_grub_cfg.template.patch.
  * Add missing ironic_lib.qemu_img namespace when generating ironic.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 16:39:55 +0200

ironic (1:24.1.1-3) unstable; urgency=medium

  * Removed obsolete (build-)depends on python3-amqplib.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 14:20:13 +0200

ironic (1:24.1.1-2) unstable; urgency=medium

  * Restrict unit tests on arch: amd64, arm64, mips64el, ppc64el, riscv64,
    s390x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:25:54 +0200

ironic (1:24.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2024 13:53:31 +0200

ironic (1:24.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 16:19:55 +0200

ironic (1:24.0.0-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop remove-the-use-of-seqdiag.patch as upstream removed the use of
    seqdiag.
  * Re-enable 2 unit tests after fix is merged upstream.
  * Blacklist test_object_version_check (has a wrong version of hash).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 09:18:47 +0100

ironic (1:23.0.0-4) unstable; urgency=medium

  * More prints removal in do-not-print.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Oct 2023 13:09:08 +0200

ironic (1:23.0.0-3) unstable; urgency=medium

  * Removed python3-sphinxcontrib.seqdiag from build-depends and add
    remove-the-use-of-seqdiag.patch (Closes: #1053841).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Oct 2023 13:54:11 +0200

ironic (1:23.0.0-2) unstable; urgency=medium

  * Add do-not-print.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 22:39:01 +0200

ironic (1:23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:32:41 +0200

ironic (1:22.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-pysnmp-lextudio as (build-)depends.
  * Renamed debian/po as debian/po.in to be able to clean better. Same with
    the $(CURDIR)/debian/ironic-common.templates.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 15:31:22 +0200

ironic (1:21.4.0-4) unstable; urgency=medium

  * Cleans better (partially addresses: #1046505).
  * Blacklist test_port_changed_client_id.*.
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:39:12 +0200

ironic (1:21.4.0-3) unstable; urgency=medium

  * Fix correct value for pybasedir (ie: dist-packages, not site-packages).
  * Add fix-initial_grub_cfg.template.patch.
  * Uploading to unstable.
  * Blacklist test_pxe_utils.TestPXEUtils.test_place_common_config.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 12:33:38 +0200

ironic (1:21.4.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 16:36:50 +0200

ironic (1:21.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump python3-ironic-lib min version.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 09:11:31 +0100

ironic (1:21.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed py3.11_fix_unit_tests.patch applied upstream.
  * Switched to debhelper-compat = 11.
  * Removed --with systemd.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:38:52 +0100

ironic (1:21.1.0-2) unstable; urgency=medium

  * Add py3.11_fix_unit_tests.patch (Closes: #1024783).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 14:02:25 +0100

ironic (1:21.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Min version of python3-sushy is 4.3.0.
  * Drop Fix_compatibility_with_oslo.db_12.1.0.patch.
  * Blacklist PXEAnacondaDeployTestCase.test_reboot_to_instance().

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:35:29 +0200

ironic (1:21.0.0-3) experimental; urgency=medium

  * Fix namespace list when generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 13:16:25 +0200

ironic (1:21.0.0-2) experimental; urgency=medium

  * Add Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 14:35:23 +0200

ironic (1:21.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_compatibility_with_jsonschema_4.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:28:41 +0200

ironic (1:20.1.0-2) unstable; urgency=medium

  * Add Fix_compatibility_with_jsonschema_4.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2022 20:55:13 +0200

ironic (1:20.1.0-1) unstable; urgency=medium

  * Fix min version of python3-proliantutils in (build-)depends.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:32:01 +0100

ironic (1:20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of python3-sushy in (build-)depends.
  * Add autopkgtest.
  * Removed Fix_Mock_objects_as_specs.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 16:44:51 +0100

ironic (1:18.2.0-3) unstable; urgency=medium

  * Add Fix_Mock_objects_as_specs.patch (Closes: #1002407).
  * Blacklist 2 remaining failing tests, which I couldn't rebase properly to
    Xena. It's ok because it's very likely only unit test brokeness, and
    Ironic is still working:
    - test_show_makes_datetimes
    - test__commit_raid_config_with_logical_drives

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 09:21:01 +0100

ironic (1:18.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix oslo-config-generator namespace list.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:12:38 +0200

ironic (1:18.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:06:58 +0200

ironic (1:18.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 09:38:57 +0200

ironic (1:17.0.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:49:42 +0200

ironic (1:17.0.3-1) experimental; urgency=medium

  * New upstream release 

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 13:21:47 +0200

ironic (1:17.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 19:01:22 +0200

ironic (1:17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)Depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 16:57:41 +0200

ironic (1:16.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Switch ironic-api to uwsgi.
  * Removed python-3.9-base64.encodestring-encodebytes.patch applied upstream.
  * Removed remove-macos-hack.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:41:47 +0100

ironic (1:16.0.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:28:01 +0100

ironic (1:16.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python-3.9-base64.encodestring-encodebytes.patch.
  * Add remove-macos-hack.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:39:28 +0200

ironic (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed autospec_for_classmethods_and_staticmethods_for_Python_3.7.4.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 09:06:11 +0200

ironic (1:15.2.0-3) experimental; urgency=medium

  * Fix policy_dir directly thingy.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 14:44:31 +0200

ironic (1:15.2.0-2) experimental; urgency=medium

  * autospec_for_classmethods_and_staticmethods_for_Python_3.7.4.patch.
  * Add python3-proliantutils constraint: >= 2.10.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 10:49:10 +0200

ironic (1:15.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/rules: fix ironic.conf namespace list.
  * Now using /etc/ironic/policy.d and yaml.
  * Drop skip-py3-failure.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2020 16:08:17 +0200

ironic (1:15.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 13:13:43 +0200

ironic (1:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:58:14 +0200

ironic (1:15.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 May 2020 00:26:28 +0200

ironic (1:14.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 00:39:11 +0200

ironic (1:13.0.1-3) unstable; urgency=medium

  * Add Ubuntu patch to skip python 3 test failure (Closes: #951949).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2020 11:40:45 +0100

ironic (1:13.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 01:05:52 +0200

ironic (1:13.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:21:23 +0200

ironic (1:13.0.0-2) experimental; urgency=medium

  * Fix min version of dracclient and sushy.
  * Fix using python3-sphinxcontrib.svg2pdfconverter in b-d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 15:13:21 +0200

ironic (1:13.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 13:40:34 +0200

ironic (1:12.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 16:13:40 +0200

ironic (1:12.1.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 17:12:34 +0200

ironic (1:12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_async_keyword_for_Python.patch applied upstream.
  * Removed python3- prefix when calling config generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 22:01:30 +0100

ironic (1:11.1.0-6) unstable; urgency=medium

  * ironic-conductor: downgrade syslinux dependency to Suggests, as it is
    available only on i386 and amd64.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 17:29:11 +0100

ironic (1:11.1.0-5) unstable; urgency=medium

  * Escapes $@ in postrm (Closes: #905508).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:35:54 +0100

ironic (1:11.1.0-4) unstable; urgency=medium

  * Remove Fujitsu BIOS test file (Closes: #909988).

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Oct 2018 10:53:17 +0200

ironic (1:11.1.0-3) unstable; urgency=medium

  * Correctly purge ironic-common (Closes: #905508).
  * Add new debconf translations, with thanks:
    - de.po, Helge Kreutzmann (Closes: #906172).
    - ru.po, Lev Lamberov (Closes: #898168).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 23:22:33 +0200

ironic (1:11.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * (build-)depends on python3-wsme >= 0.9.3 (Closes: #907868).
  * Update to latest version of Fix_async_keyword_for_Python.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:21:18 +0200

ironic (1:11.1.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed startup message.
  * Removed config tweaks.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add Fix_async_keyword_for_Python.patch.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 16:59:04 +0200

ironic (1:10.1.0-5) unstable; urgency=medium

  * Fixed default value of pybasedir to the correct path.
  * Manage /var/lib/ironic/httpboot/boot.ipxe.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 May 2018 08:56:25 +0200

ironic (1:10.1.0-4) unstable; urgency=medium

  * Remove ironic.conf.default from namespace list when generating
    ironic.conf.
  * Add some needed runtime depends to ironic-conductor.
  * Set nicer defaults for the ironic.conf file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Mar 2018 15:09:38 +0200

ironic (1:10.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:47:19 +0000

ironic (1:10.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switched to openstack-pkg-tools >= 70~ debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 16:38:04 +0000

ironic (1:10.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Using oslopolicy-sample-generator to generate policy.json.
  * Switch to Python 3.
  * Fixed debian/copyright holders list and years.
  * Blacklist test_create_chassis_unicode_description which is failing in Py3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:52:49 +0000

ironic (1:9.1.1-3) unstable; urgency=medium

  * Fixed generating ironic.conf (Closes: #847019).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 11:42:33 +0000

ironic (1:9.1.1-2) unstable; urgency=medium

  * Uploading to unstable:
    - do not remove search.html (Closes: #861893).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:58:14 +0000

ironic (1:9.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove 3 now useless patches.
  * Ran wrap-and-sort -bast.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating vcs fields.
  * Fixed (build-)depends for this release.
  * Fix doc generation.
  * Removed dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Oct 2017 06:32:27 +0200

ironic (1:6.2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858701).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:38:52 +0200

ironic (1:6.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:32:07 +0100

ironic (1:6.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Fixed oslotest EPOCH.
  * Removed Fix-broken-unit-tests-for-get_ilo_object.patch applied upstream.
  * Rebased requirements patches.
  * Also package Ironic's install-guide
  * Fixed config file generation namespaces.
  * Black list failing unit tests:
    - test_keystone.KeystoneLegacyTestCase.test_legacy_loading_new_in_legacy

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:28:56 +0200

ironic (1:6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Add upstream patch:
    - Fix-broken-unit-tests-for-get_ilo_object.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 23:06:38 +0200

ironic (1:6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added new pt_BR.po Brazilian Portuguese debconf templates translation
    (Closes: #829340).
  * Rebase allow-any-pytz-version.patch. Add allow-any-fixtures-version.patch.
  * Using oslo-config-generator directly.
  * Switching to openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 22:44:18 +0200

ironic (1:5.1.2-2) unstable; urgency=medium

  * Using upstream config generator shell script to generate ironic.conf,
    instead of using (broken) sample file. (Closes: #828897)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 20:28:00 +0000

ironic (1:5.1.2-1) unstable; urgency=high

  * New upstream release:
    - addresses CVE-2016-4985: Node information including credentials exposed
      to unathenticated users. Includes upstream patch: Mask password on agent
      lookup according to policy (Closes: #827886).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Jun 2016 10:05:13 +0200

ironic (1:5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Jun 2016 00:37:13 +0200

ironic (1:5.1.0-2) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Allow sudo for ironic-rootwrap
    (Thanks to Jan Sára for providing fix)
  * Fixed d/watch to ignore old year-based versioning schema

 -- Ondřej Nový <novy@ondrej.org>  Fri, 27 May 2016 11:37:10 +0000

ironic (1:5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed debian/patches/Fix_sphinx_docs_build.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 14:05:32 +0000

ironic (1:5.0.0-2) experimental; urgency=medium

  * Do not use the Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:36:22 +0000

ironic (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Tolerate_roles_in_context.RequestContext.patch applied upstream.
  * Rebased the other patches.
  * Added -b html when generating the sphinx doc.
  * Added Fix_sphinx_docs_build.patch to fix doc building, plus -a flag.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:31:00 +0100

ironic (1:4.3.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch:
    - Tolerate_roles_in_context.RequestContext.patch
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:27:03 +0000

ironic (1:4.2.1-4) unstable; urgency=medium

  * Added missing q-text-as-data depends in ironic-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:43:31 +0000

ironic (1:4.2.1-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:24:47 +0000

ironic (1:4.2.1-2) unstable; urgency=medium

  * Downgrades python-scciclient from Depends to Recommends (Closes: #803227).

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Oct 2015 11:48:23 +0100

ironic (1:4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Added python-pil as build-dep.
  * Fixed minimal version of drivers.
  * Fixed the unit test runner.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2015 20:58:58 +0000

ironic (1:4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Bumped minimum python-pbr version to 1.8.
  * Added Danish translation of the debconf templates, thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #800458).
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #799458).
  * New ironic-api depends on openstackclient.
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:01:00 +0000

ironic (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added python-scciclient as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 17:42:33 +0200

ironic (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch to allow any pytz version.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 23:33:23 +0200

ironic (2015.1.0-5) unstable; urgency=medium

  * Rebuilt with SQLAlchemy >= 1.0 (Closes: #794309).
  * Updated Italian debconf translation (Closes: #794371).
  * Added Spanish debconf translation (Closes: #792183).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 07:34:26 +0000

ironic (2015.1.0-4) unstable; urgency=medium

  * Removes Suggests: python-suds (Closes: #788088).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:30:47 +0200

ironic (2015.1.0-3) unstable; urgency=medium

  * Added fr.po thanks to Julien Patriarca (Closes: #786499).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 14:45:25 +0000

ironic (2015.1.0-2) unstable; urgency=medium

  * Added pt.po translation of debconf (Closes: #784598).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:12:30 +0200

ironic (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed wrong ucfr call (Closes: #783862).
  * Fixed gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:27:04 +0000

ironic (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Now handles rabbitmq & keystone auth credentials & ironic-api endpoint
    using debconf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Dec 2014 16:22:59 +0100

ironic (2014.2-2) experimental; urgency=medium

  * Cleans /var/lib/ironic/{cache, ironicdb} on purge. (Closes: #768561)
  * Adds dh-python as build-depends.
  * Added pysendfile -> python-sendfile in debian/pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 14:59:33 +0000

ironic (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 15:52:15 +0800

ironic (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.
  * Now using a single logrotate file in ironic-common.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:34:47 +0800

ironic (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Updated (build-)depends for this release.
  * Removed patch to remove intersphinx.
  * Removed nature.css and its BSD license from debian/copyright.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Oct 2014 14:00:34 +0800

ironic (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jul 2014 14:17:05 +0800

ironic (2014.1-9) unstable; urgency=medium

  * Added Russian debconf template thanks to Yuri Kozlov <yuray@komyakino.ru>
    (Closes: #752551).

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jun 2014 14:41:59 +0800

ironic (2014.1-8) unstable; urgency=medium

  * Added German debconf translation thanks to Mario Blättermann
    <mario.blaettermann@gmail.com> (Closes: #751681).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jun 2014 16:19:58 +0800

ironic (2014.1-7) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 12~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 08:06:53 +0000

ironic (2014.1-6) unstable; urgency=medium

  * Switched from restarting daemons to copytruncate in logrotate.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 May 2014 14:16:30 +0800

ironic (2014.1-5) unstable; urgency=medium

  * Added a patch for the MANIFEST.in to also package alembic.ini, which was
    preventing db install (Closes: #748924).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 May 2014 23:02:58 +0800

ironic (2014.1-4) unstable; urgency=medium

  * Added Spanish debconf translation, thanks to Camaleón <noelamac@gmail.com>
    (Closes: #748134).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 May 2014 10:09:27 +0800

ironic (2014.1-3) unstable; urgency=medium

  * Added initial italian Debconf template translation thanks to Beatrice
    Torracca <beatricet@libero.it> (Closes: #747591).

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 May 2014 18:41:01 +0800

ironic (2014.1-2) unstable; urgency=medium

  * Added French debconf translation, thanks to Christian Perrier.
    (Closes: #745275).
  * Added Portuguese debconf translation, thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #745337).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Apr 2014 11:24:25 +0800

ironic (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 15:50:43 +0800

ironic (2014.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Apr 2014 20:20:50 +0800

ironic (2014.1~b3-3) experimental; urgency=medium

  * Changed section of ironic-doc to the doc section.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2014 02:35:21 +0000

ironic (2014.1~b3-2) experimental; urgency=low

  * Fixed subunit output.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Mar 2014 15:02:05 +0800

ironic (2014.1~b3-1) experimental; urgency=low

  * Initial release. (Closes: #730484)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Nov 2013 23:38:00 +0800
